{% extends "admin/media/change_form.html" %}
{% load thumbnailer %}

{% block field_sets %}
{% if change %}
<div class="related-object-info">
    <p>
        <a href="{{original.url}}" target="_blank">
            {% thumbnail original.video_image "360x300" as thumb %}
            <img src="{{thumb.url}}" width="{{thumb.width}}" alt="{{original.title}}" />
            {% endthumbnail %}
        </a>
    </p>

    <dl>
        {% if original.provider %}
        <dt>Provider:</dt>
        <dd>{{original.provider}}</dd>
        <dt>External Link:</dt>
        <dd>
            <a href="{{original.url}}" target="_blank">View on {{original.provider}}</a>
        </dd>
        {% endif %}
        <dt>Created:</dt>
        <dd>{{original.created}}</dd>
        <dt>Modified:</dt>
        <dd>{{original.modified}}</dd>

        {% if related_objects  %}
        <dt>&nbsp;</dt>
        <dt>Related Items:</dt>
        <dt>
            <ul class="media-related-item-list">
                {% for r in related_objects %}
                <li>
                    {{r.opts.verbose_name | lower}}:
                    <a {% if r.admin_url %}href="{{r.admin_url}}"{% endif %}>{{r.object}}</a>
                </li>
                {% endfor %}
            </ul>
        </dt>
        {% endif %}
    </dl>
</div>
{% endif %}

{{block.super}}

{% endblock field_sets %}
